Configuration du plugin Zigbee bêta

Ton problème est résolu?

Bonjour @Toms , non toujours pas, les dépendances ne s’installent pas.
Tu me parles de logs, peux tu me dire où les trouver pour les afficher.
Merci pour ton aide, je galère un peu.

Depuis la page configuration,
En haut à droite t’as un rectangle logs,
Passes en debug, et relance les étapes,

Bonjour,

Petite question a laquelle je n’ai rien vu dans ta config. Buster ou Stretch ton OS?

Bonjour @iPapy, mon OS est Buster

@Toms tu veux lequel des logs

image

@Toms j’ai relancé plusieurs fois les dépendances et elles se bloquent à 50% ou 65%.
J’ai désinstaller et réinstaller le plugin plusieurs fois et toujours même soucis.
image

OK donc reste à savoir si c’est compatible buster 32bits PI car les personnes autour de moi qui test le plugin comme @Toms sont toutes sur des VM Buster 64 bits ce qui pourrait expliquer ton souci de dépendances :thinking:

Donc d’après toi ce plugin est incompatible avec Buster 32bits. Je l’ai acheter pour rien.
Dommage car déconz n’a pas l’air comptable avec tuya zigbee.

Je ne sais pas faut se renseigner je n’ai pas de clé zigbee (conbee, zigate ou autre) je suis simplement l’avancé du plugin, seul les beta testeur on plus d’info que je n’en ai mais je vais me renseigner.

Merci @iPapy, j’attends ton retour.

Salut,
Je veux simplement donner mon avis et non faire une leçon de moral loin de là :wink: mais pourquoi t’embêter avec ce nouveau plugin non stable ? C’est chercher les problèmes là ou il n’y en a pas. Alors qu’ avec un plugin stable comme Deconz (ce que tu procèdes déjà) aucun souci
Non?

Bonjour @badu69,
il me semblait que ce plugin était compatible avec Tuya Zigbee.
Avec Deconz il me remonte pas les interrupteurs tuya Zigbee.
C’est pour cela que je voulais changer.

J’ai testé le plugin hier,

Avec la version Beta d’hier impossible également d’installer les dépendances, j’ai restaurer mon Jeedom avec la sauvegarde d’avant la mise à jour et là aucun soucis.

Il y as peut être un soucis sur la dernière Beta.

Bonsoir,

Sans log, difficile de t’aider,

Bonne soirée, au plaisir,

Merci de ton aide, tu entends quoi par la verion beta d’hier?

Deconz devrait bientôt gerer plus d’appareil tuya, c’est passé hier, ça devrait sortir avec la version beta v2.6.0 (Nouvelle numérotation apparemment aussi)

Merci @HugoVal11 il n’y a plus qu’a attendre.

Bonjour,

J’ai installé le plugin Zigbee Beta mais impossible de lancer le Daemon car l’installation des Dépendances n’aboutit pas.
La configuration:

Voici la configuration du plugin.
Capture d’écran 2020-11-17 à 15.18.36

et voci le log:

Launch install of zigbee dependancy
Hit:1 http://security.debian.org buster/updates InRelease
Hit:2 http://deb.debian.org/debian buster InRelease
Hit:3 http://deb.debian.org/debian buster-updates InRelease
Hit:4 http://deb.debian.org/debian buster-backports InRelease
Hit:5 https://deb.nodesource.com/node_12.x buster InRelease
Hit:6 https://minio.k-space.ee/armbian/apt buster InRelease
Reading package lists...
Skipping serial as it is not installed.
WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
Reading package lists...
Building dependency tree...
Reading state information...
Package 'python3-serial' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python3-pip is already the newest version (18.1-5).
python3-setuptools is already the newest version (40.8.0-1).
python3 is already the newest version (3.7.3-1).
python3-pyudev is already the newest version (0.21.0-1).
python3-requests is already the newest version (2.21.0-1).
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Requirement already up-to-date: pyserial in /usr/local/lib/python3.7/dist-packages (3.4)
Collecting zigpy
Using cached https://files.pythonhosted.org/packages/4d/92/19912a0e2cd973a5626538cf1cfecb4e6cc83c7d9efaabc7830c825b4a2b/zigpy-0.27.0-py3-none-any.whl
Requirement already satisfied, skipping upgrade: aiosqlite in /usr/local/lib/python3.7/dist-packages (from zigpy) (0.16.0)
Requirement already satisfied, skipping upgrade: voluptuous in /usr/local/lib/python3.7/dist-packages (from zigpy) (0.12.0)
Collecting aiohttp (from zigpy)
Requirement already satisfied, skipping upgrade: crccheck in /usr/local/lib/python3.7/dist-packages (from zigpy) (1.0)
Requirement already satisfied, skipping upgrade: pycryptodome in /usr/local/lib/python3.7/dist-packages (from zigpy) (3.9.9)
Requirement already satisfied, skipping upgrade: typing_extensions>=3.7.2 in /usr/local/lib/python3.7/dist-packages (from aiosqlite->zigpy) (3.7.4.3)
Requirement already satisfied, skipping upgrade: async-timeout<4.0,>=3.0 in /usr/local/lib/python3.7/dist-packages (from aiohttp->zigpy) (3.0.1)
Collecting multidict<7.0,>=4.5 (from aiohttp->zigpy)
Using cached https://files.pythonhosted.org/packages/da/e6/50c7f52781f45c2b37c77e962c30a3944a9e79a46ea92956e826c24d3432/multidict-5.0.2.tar.gz
Installing build dependencies: started
Installing build dependencies: finished with status 'done'
Collecting yarl<2.0,>=1.0 (from aiohttp->zigpy)
Using cached https://files.pythonhosted.org/packages/97/e7/af7219a0fe240e8ef6bb555341a63c43045c21ab0392b4435e754b716fa1/yarl-1.6.3.tar.gz
Installing build dependencies: started
Installing build dependencies: finished with status 'done'
Requirement already satisfied, skipping upgrade: attrs>=17.3.0 in /usr/local/lib/python3.7/dist-packages (from aiohttp->zigpy) (20.3.0)
Requirement already satisfied, skipping upgrade: chardet<4.0,>=2.0 in /usr/lib/python3/dist-packages (from aiohttp->zigpy) (3.0.4)
Requirement already satisfied, skipping upgrade: idna>=2.0 in /usr/lib/python3/dist-packages (from yarl<2.0,>=1.0->aiohttp->zigpy) (2.6)
Building wheels for collected packages: multidict, yarl
Running setup.py bdist_wheel for multidict: started
Running setup.py bdist_wheel for multidict: finished with status 'error'
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-dtrbhrrn/multidict/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" bdist_wheel -d /tmp/pip-wheel-filuy8qt --python-tag cp37:
**********************
* Accellerated build *
**********************
running bdist_wheel
running build
running build_py
creating build
creating build/lib.linux-aarch64-3.7
creating build/lib.linux-aarch64-3.7/multidict
copying multidict/_multidict_py.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_multidict_base.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_compat.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_abc.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/__init__.py -> build/lib.linux-aarch64-3.7/multidict
running egg_info
writing multidict.egg-info/PKG-INFO
writing dependency_links to multidict.egg-info/dependency_links.txt
writing top-level names to multidict.egg-info/top_level.txt
reading manifest file 'multidict.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files found matching 'multidict/_multidict.html'
warning: no previously-included files found matching 'multidict/*.so'
warning: no previously-included files found matching 'multidict/*.pyd'
warning: no previously-included files found matching 'multidict/*.pyd'
no previously-included directories found matching 'docs/_build'
writing manifest file 'multidict.egg-info/SOURCES.txt'
copying multidict/__init__.pyi -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_multidict.c -> build/lib.linux-aarch64-3.7/multidict
copying multidict/py.typed -> build/lib.linux-aarch64-3.7/multidict
creating build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/defs.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/dict.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/istr.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/iter.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/pair_list.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/views.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
running build_ext
building 'multidict._multidict' extension
creating build/temp.linux-aarch64-3.7
creating build/temp.linux-aarch64-3.7/multidict
aarch64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include/python3.7m -c multidict/_multidict.c -o build/temp.linux-aarch64-3.7/multidict/_multidict.o -O2 -std=c99 -Wall -Wsign-compare -Wconversion -fno-strict-aliasing -pedantic
multidict/_multidict.c:1:10: fatal error: Python.h: No such file or directory
#include "Python.h"
^~~~~~~~~~
compilation terminated.
error: command 'aarch64-linux-gnu-gcc' failed with exit status 1
----------------------------------------
Failed building wheel for multidict
Running setup.py clean for multidict
Running setup.py bdist_wheel for yarl: started
Running setup.py bdist_wheel for yarl: finished with status 'error'
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-dtrbhrrn/yarl/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" bdist_wheel -d /tmp/pip-wheel-hnqhn8xm --python-tag cp37:
**********************
* Accellerated build *
**********************
running bdist_wheel
running build
running build_py
creating build
creating build/lib.linux-aarch64-3.7
creating build/lib.linux-aarch64-3.7/yarl
copying yarl/_url.py -> build/lib.linux-aarch64-3.7/yarl
copying yarl/_quoting_py.py -> build/lib.linux-aarch64-3.7/yarl
copying yarl/_quoting.py -> build/lib.linux-aarch64-3.7/yarl
copying yarl/__init__.py -> build/lib.linux-aarch64-3.7/yarl
running egg_info
writing yarl.egg-info/PKG-INFO
writing dependency_links to yarl.egg-info/dependency_links.txt
writing requirements to yarl.egg-info/requires.txt
writing top-level names to yarl.egg-info/top_level.txt
reading manifest file 'yarl.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.cache' found anywhere in distribution
warning: no previously-included files found matching 'yarl/*.html'
warning: no previously-included files found matching 'yarl/*.so'
warning: no previously-included files found matching 'yarl/*.pyd'
no previously-included directories found matching 'docs/_build'
writing manifest file 'yarl.egg-info/SOURCES.txt'
copying yarl/__init__.pyi -> build/lib.linux-aarch64-3.7/yarl
copying yarl/_quoting_c.c -> build/lib.linux-aarch64-3.7/yarl
copying yarl/_quoting_c.pyi -> build/lib.linux-aarch64-3.7/yarl
copying yarl/_quoting_c.pyx -> build/lib.linux-aarch64-3.7/yarl
copying yarl/py.typed -> build/lib.linux-aarch64-3.7/yarl
running build_ext
building 'yarl._quoting_c' extension
creating build/temp.linux-aarch64-3.7
creating build/temp.linux-aarch64-3.7/yarl
aarch64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include/python3.7m -c yarl/_quoting_c.c -o build/temp.linux-aarch64-3.7/yarl/_quoting_c.o
yarl/_quoting_c.c:4:10: fatal error: Python.h: No such file or directory
#include "Python.h"
^~~~~~~~~~
compilation terminated.
error: command 'aarch64-linux-gnu-gcc' failed with exit status 1
----------------------------------------
Failed building wheel for yarl
Running setup.py clean for yarl
Failed to build multidict yarl
Installing collected packages: multidict, yarl, aiohttp, zigpy
Running setup.py install for multidict: started
Running setup.py install for multidict: finished with status 'error'
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-dtrbhrrn/multidict/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-cvyxhzkk/install-record.txt --single-version-externally-managed --compile:
**********************
* Accellerated build *
**********************
running install
running build
running build_py
creating build
creating build/lib.linux-aarch64-3.7
creating build/lib.linux-aarch64-3.7/multidict
copying multidict/_multidict_py.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_multidict_base.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_compat.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_abc.py -> build/lib.linux-aarch64-3.7/multidict
copying multidict/__init__.py -> build/lib.linux-aarch64-3.7/multidict
running egg_info
writing multidict.egg-info/PKG-INFO
writing dependency_links to multidict.egg-info/dependency_links.txt
writing top-level names to multidict.egg-info/top_level.txt
reading manifest file 'multidict.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files found matching 'multidict/_multidict.html'
warning: no previously-included files found matching 'multidict/*.so'
warning: no previously-included files found matching 'multidict/*.pyd'
warning: no previously-included files found matching 'multidict/*.pyd'
no previously-included directories found matching 'docs/_build'
writing manifest file 'multidict.egg-info/SOURCES.txt'
copying multidict/__init__.pyi -> build/lib.linux-aarch64-3.7/multidict
copying multidict/_multidict.c -> build/lib.linux-aarch64-3.7/multidict
copying multidict/py.typed -> build/lib.linux-aarch64-3.7/multidict
creating build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/defs.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/dict.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/istr.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/iter.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/pair_list.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
copying multidict/_multilib/views.h -> build/lib.linux-aarch64-3.7/multidict/_multilib
running build_ext
building 'multidict._multidict' extension
creating build/temp.linux-aarch64-3.7
creating build/temp.linux-aarch64-3.7/multidict
aarch64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include/python3.7m -c multidict/_multidict.c -o build/temp.linux-aarch64-3.7/multidict/_multidict.o -O2 -std=c99 -Wall -Wsign-compare -Wconversion -fno-strict-aliasing -pedantic
multidict/_multidict.c:1:10: fatal error: Python.h: No such file or directory
#include "Python.h"
^~~~~~~~~~
compilation terminated.
error: command 'aarch64-linux-gnu-gcc' failed with exit status 1
----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-dtrbhrrn/multidict/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-cvyxhzkk/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-dtrbhrrn/multidict/


Je ne trouve pas de solution, merci pour votre aide.

De mon côté tout fonctionnai bien mais depuis que j’ai relancé l’installation des dépendances le Daemon est passé en NOK et pourtant pas de soucis visible dans les logs. Il ne reste qu’à attendre une correction.